# poele JollyMec dans home assistant

les poeles jollymec possède un iot qui peut se connecter au wifi sur un réseau et remonté des informations sur une passerelle iot.

Pour paramétré le wifi sur le poele il faut d'abord se connecter aux wifi du poele puis aller sur http://192.168.1.1 et se laisser guider.

Chez moi la configuration a été assez capricieuse.

Une fois connecté vous pouvez utiliser l'applicatino jolly mec, mais vous pouvez surtout interrogé la passerelle via une librairie python [py-agua-iot](https://github.com/fredericvl/py-agua-iot)

A partir de là avec votre login/password vous pouvez obtenir quelques informations

```python
JM_SERVICE = "https://jollymec.agua-iot.com";
JM_CUSTOMER_CODE = "732584";
JM_LOGIN = "mon@mail.fr";
JM_PASSWD = "monpassword";
JM_UUID = "6ffc0d47-de98-414f-8a57-3b0fce2c5594";
JM_BRAND_ID = "1";

from py_agua_iot import agua_iot

connection = agua_iot(JM_SERVICE, JM_CUSTOMER_CODE, JM_LOGIN, JM_PASSWD, JM_UUID, brand_id=JM_BRAND_ID);

# Print the current air temperature for each device (one only)
for device in connection.devices:
  print("nom du poêle               : " + str(device.name))
  print("modèle                         : " + str(device.name_product))
  print("status                           : " + str(device.status))
  print("status translaté            : " + str(device.status_translated))
  print("alarme                         : " + str(device.alarms))
  print("réel puissance             : " + str(device.real_power))
  print("température ambiante : " + str(device.air_temperature))
  print("puissance ventilo        : " + str(device.set_power))
  print("status translaté           : " + str(device.gas_temperature))
  print("température minimum : " + str(device.min_temp))
  print("température maximum : " + str(device.max_temp))
  print("air température set       : " + str(device.set_air_temperature))
  print("id product                     : " + str(device.id_product))
  print("id device                      : " + str(device.id_device))
```

Comme on peut récupérer des informations il est possible de les transmettre à home assistant via le plugin mqtt. Je ne reviens pas sur l'installation de ce plugin mais je vous laisse le programme qui permet de transmettre les informations à un topic mqtt

```python
import json
import datetime
import socket
import sys

try:
    from py_agua_iot import agua_iot
except Exception as err:
    print("you need call pip install psutil")
    sys.exit()

try:
    import paho.mqtt.client as mqtt
except Exception as err:
    print("you need call pip install paho-mqtt")
    sys.exit()



IP_MQTT = '192.168.0.54'
PORT_MQTT = 1883
USER_MQTT = 'mqttuser'
PASSWORD_MQTT = 'mqttpassword'
TOPIC_MQTT = 'jollymec'

JM_SERVICE = "https://jollymec.agua-iot.com";
JM_CUSTOMER_CODE = "732584";
JM_LOGIN = "mon@mail.fr";
JM_PASSWD = "monpassword";
JM_UUID = "6ffc0d47-de98-414f-8a57-3b0fce2c5594";
JM_BRAND_ID = "1";


result = {}

connection = agua_iot(JM_SERVICE, JM_CUSTOMER_CODE, JM_LOGIN, JM_PASSWD, JM_UUID, brand_id=JM_BRAND_ID);
result = {"name": connection.devices[0].name,
  "model": connection.devices[0].name_product,
  "status":  connection.devices[0].status,
  "statusstr":  connection.devices[0].status_translated,
  "alarms":  connection.devices[0].alarms,
  "power":  connection.devices[0].real_power,
  "temp":  connection.devices[0].air_temperature,
  "fan":  connection.devices[0].set_power,
  "consigne":  connection.devices[0].set_air_temperature,
  "id":  connection.devices[0].id_product,
  "device":  connection.devices[0].id_device}


client = mqtt.Client("debianweb")
client.username_pw_set(USER_MQTT, PASSWORD_MQTT)
client.connect(IP_MQTT, PORT_MQTT)
client.publish(TOPIC_MQTT, payload=json.dumps(result))

```

au niveau du fichier mqtt_sensor.yaml j'ai rajouté

```
- name: "Jollymec-Name"
  state_topic: "jollymec"
  value_template: "{{ value_json.name }}"
- name: "Jollymec-Model"
  state_topic: "jollymec"
  value_template: "{{ value_json.model }}"
- name: "Jollymec-Status"
  state_topic: "jollymec"
  value_template: "{{ value_json.status }}"
- name: "Jollymec-StatusStr"
  state_topic: "jollymec"
  value_template: "{{ value_json.statusstr }}"
- name: "Jollymec-Alarms"
  state_topic: "jollymec"
  value_template: "{{ value_json.alarms }}"
- name: "Jollymec-Power"
  state_topic: "jollymec"
  value_template: "{{ value_json.power }}"
- name: "Jollymec-Temp"
  state_topic: "jollymec"
  unit_of_measurement: "°C"
  value_template: "{{ value_json.temp }}"
- name: "Jollymec-Fan"
  state_topic: "jollymec"
  value_template: "{{ value_json.fan }}"
- name: "Jollymec-Consigne"
  state_topic: "jollymec"
  unit_of_measurement: "°C"
  value_template: "{{ value_json.consigne }}"
- name: "Jollymec-Id"
  state_topic: "jollymec"
  value_template: "{{ value_json.id }}"
- name: "Jollymec-Device"
  state_topic: "jollymec"
  value_template: "{{ value_json.device }}"
```

et dans configuration.yaml j'ai

```
mqtt:
  sensor: !include mqtt_sensors.yaml
```

pour info la librairie python permet aussi d'allumer et d'éteindre le poele :-)